OpenVDB 5.1.0

Public Types | Static Public Member Functions | List of all members
GridOrTreeConstructor< Grid< TreeType > > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | GridType = Grid< TreeType >
using | GridTypePtr = typename Grid< TreeType >::Ptr
using | TreeTypePtr = typename TreeType::Ptr
using | BoolTreeType = typename TreeType::template ValueConverter< bool >::Type
using | BoolTreePtrType = typename BoolTreeType::Ptr
using | BoolGridType = Grid< BoolTreeType >
using | BoolGridPtrType = typename BoolGridType::Ptr

## Static Public Member Functions
static BoolGridPtrType | constructMask (const GridType &grid, BoolTreePtrType &maskTree)
static GridTypePtr | construct (const GridType &grid, TreeTypePtr &maskTree)

## Member Typedef Documentation

## ◆ BoolGridPtrType

using BoolGridPtrType = typename BoolGridType::Ptr

## ◆ BoolGridType

using BoolGridType = Grid<BoolTreeType>

## ◆ BoolTreePtrType

using BoolTreePtrType = typename BoolTreeType::Ptr

## ◆ BoolTreeType

using BoolTreeType = typename TreeType::template ValueConverter<bool>::Type

## ◆ GridType

using GridType = Grid<TreeType>

## ◆ GridTypePtr

using GridTypePtr = typename Grid<TreeType>::Ptr

## ◆ TreeTypePtr

using TreeTypePtr = typename TreeType::Ptr

## Member Function Documentation

## ◆ construct()

static GridTypePtr construct | ( | const GridType & | grid,
|  | TreeTypePtr & | maskTree
| ) |  |
| inline static

## ◆ constructMask()

static BoolGridPtrType constructMask | ( | const GridType & | grid,
|  | BoolTreePtrType & | maskTree
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- LevelSetUtil.h